%define		_class		Text
%define		_subclass	CAPTCHA
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.0.2
Release:	%mkrel 6
Summary:	Generation of CAPTCHA imgaes
License:	BSD License
Group:		Development/PHP
URL:		http://pear.php.net/package/Text_CAPTCHA/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-Text_Password  >= 1.1.1
BuildArch:	noarch


%description
Implementation of CAPTCHAs (completely automated public Turing test to tell
computers and humans apart)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Text_CAPTCHA.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_CAPTCHA.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_CAPTCHA
fi

%files
%doc docs/Text_CAPTCHA/*
%{peardir}/*
%{xmldir}/Text_CAPTCHA.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-6.mga8
+ Revision: 1499201
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-5.mga7
+ Revision: 1274009
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-4.mga6
+ Revision: 943242
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 746174
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 687483
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 spuhler <spuhler> 1.0.2-1.mga5
+ Revision: 642795
- upgrade to 1.0.2

* Mon Oct 21 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 539253
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 spuhler <spuhler> 0.5.0-1.mga4
+ Revision: 491644
- upgrade to version 0.5.0

* Mon Jun 17 2013 spuhler <spuhler> 0.4.6-1.mga4
+ Revision: 444210
- upgrade to version 0.4.6
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-5.mga3
+ Revision: 377314
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.3.1-4.mga1
+ Revision: 44345
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_CAPTCHA


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-4mdv2011.0
+ Revision: 613782
- the mass rebuild of 2010.1 packages

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-3mdv2010.1
+ Revision: 466320
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2010.0
+ Revision: 441656
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 368335
- Update php pear Text_CAPTCHA to 0.3.1 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2009.1
+ Revision: 322671
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-2mdv2009.0
+ Revision: 237110
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2008.0
+ Revision: 15754
- 0.2.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-1mdv2007.0
+ Revision: 82747
- Import php-pear-Text_CAPTCHA

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-1mdk
- 0.1.6
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdk
- initial Mandriva package (PLD import)

